<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>morphorobotx: DataLogger Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">morphorobotx
   </div>
   <div id="projectbrief">morphorobotxsharedlibrary</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.1.2 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Namespaces</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(9)"><span class="SelectionMark">&#160;</span>Macros</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-methods">Protected Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a> &#124;
<a href="classDataLogger-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">DataLogger Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &quot;<a class="el" href="DataLogger_8hpp_source.html">DataLogger.hpp</a>&quot;</code></p>
<div class="dynheader">
Collaboration diagram for DataLogger:</div>
<div class="dyncontent">
<div class="center"><img src="classDataLogger__coll__graph.png" border="0" usemap="#DataLogger_coll__map" alt="Collaboration graph"/></div>
<map name="DataLogger_coll__map" id="DataLogger_coll__map">
<area shape="rect" id="node2" href="classStateManager.html" title="{StateManager\n||+ StateManager()\l+ ~StateManager()\l+ state()\l+ logger()\l+ Renew()\l+ RegisterField()\l+ RegisterFieldExc()\l+ indexOfField()\l}" alt="" coords="77,569,219,775"/><area shape="rect" id="node4" href="classMeasurementState.html" title="{MeasurementState\n|+ double_nan\l# names\l# units\l|+ operator[]()\l+ MeasurementState()\l+ ~MeasurementState()\l+ GetHeaders()\l+ DumpCurrentValues()\l+ Get()\l+ Update()\l+ Invalidate()\l+ Volatile()\l+ RegisterField()\l+ IndexOfField()\l+ Renew()\l# Update()\l}" alt="" coords="189,173,349,501"/><area shape="rect" id="node6" href="classstd_1_1vector.html" title="{std::vector\&lt; QString \&gt;\n|+ element\l|}" alt="" coords="28,5,180,91"/><area shape="rect" id="node8" href="classstd_1_1vector.html" title="{std::vector\&lt; bool \&gt;\n|+ element\l|}" alt="" coords="204,5,335,91"/><area shape="rect" id="node10" href="classstd_1_1vector.html" title="{std::vector\&lt; double \&gt;\n|+ element\l|}" alt="" coords="359,5,505,91"/></map>
</div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a5e834d2c5a1a2db5c7764ce1c3742367"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classDataLogger.html#a5e834d2c5a1a2db5c7764ce1c3742367">DataLogger</a> (<a class="el" href="classStateManager.html">StateManager</a> &amp;stateManager)</td></tr>
<tr class="memitem:a9aaff109f3e7749a0a0a0313655da50a"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classDataLogger.html#a9aaff109f3e7749a0a0a0313655da50a">~DataLogger</a> ()</td></tr>
<tr class="memitem:a0efe9f5bab4ce587d6080c9afa021151"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classDataLogger.html#a0efe9f5bab4ce587d6080c9afa021151">WriteCurrentState</a> ()</td></tr>
<tr class="memitem:a70a9bb50309609e4823b35fee5f5407e"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classDataLogger.html#a70a9bb50309609e4823b35fee5f5407e">SetFilename</a> (QString <a class="el" href="classDataLogger.html#a992f14b34f7dc8b66254c95a47fa4342">filename</a>)</td></tr>
<tr class="memitem:a20df9870571b30de0a007d58b1dde3cf"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classDataLogger.html#a20df9870571b30de0a007d58b1dde3cf">valid</a> () const </td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="pro-methods"></a>
Protected Member Functions</h2></td></tr>
<tr class="memitem:ae3b969e56fe73025d087c5d7cdcd56ff"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classDataLogger.html#ae3b969e56fe73025d087c5d7cdcd56ff">PrepareFileHeader</a> ()</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr class="memitem:a992f14b34f7dc8b66254c95a47fa4342"><td class="memItemLeft" align="right" valign="top">QString&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classDataLogger.html#a992f14b34f7dc8b66254c95a47fa4342">filename</a></td></tr>
<tr class="memitem:acf5bd5c915047d0ea56139af8e9af491"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classStateManager.html">StateManager</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classDataLogger.html#acf5bd5c915047d0ea56139af8e9af491">_stateManager</a></td></tr>
<tr class="memitem:aa56db36dc83efea877b5a002ed83bc3f"><td class="memItemLeft" align="right" valign="top">QFile&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classDataLogger.html#aa56db36dc83efea877b5a002ed83bc3f">file</a></td></tr>
<tr class="memitem:ab4c93bc1ccb1512bacae8b6601238e6f"><td class="memItemLeft" align="right" valign="top">QTextStream&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classDataLogger.html#ab4c93bc1ccb1512bacae8b6601238e6f">stream</a></td></tr>
<tr class="memitem:a67ffb050ba1beae8649f63d4b1dbbed0"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classDataLogger.html#a67ffb050ba1beae8649f63d4b1dbbed0">isHeaderPrepared</a></td></tr>
</table>
<h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a5e834d2c5a1a2db5c7764ce1c3742367"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">DataLogger::DataLogger </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classStateManager.html">StateManager</a> &amp;&#160;</td>
          <td class="paramname"><em>stateManager</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">explicit</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="a9aaff109f3e7749a0a0a0313655da50a"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">DataLogger::~DataLogger </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2>Member Function Documentation</h2>
<a class="anchor" id="ae3b969e56fe73025d087c5d7cdcd56ff"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool DataLogger::PrepareFileHeader </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="classDataLogger_ae3b969e56fe73025d087c5d7cdcd56ff_cgraph.png" border="0" usemap="#classDataLogger_ae3b969e56fe73025d087c5d7cdcd56ff_cgraph" alt=""/></div>
<map name="classDataLogger_ae3b969e56fe73025d087c5d7cdcd56ff_cgraph" id="classDataLogger_ae3b969e56fe73025d087c5d7cdcd56ff_cgraph">
<area shape="rect" id="node3" href="classStateManager.html#aabffaf5fc58ab7c74fccde1d84d91603" title="StateManager::state" alt="" coords="295,5,433,35"/><area shape="rect" id="node5" href="classMeasurementState.html#aa83b85383a05112b240541f13a87a56f" title="MeasurementState::GetHeaders" alt="" coords="259,59,469,88"/></map>
</div>
</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="classDataLogger_ae3b969e56fe73025d087c5d7cdcd56ff_icgraph.png" border="0" usemap="#classDataLogger_ae3b969e56fe73025d087c5d7cdcd56ff_icgraph" alt=""/></div>
<map name="classDataLogger_ae3b969e56fe73025d087c5d7cdcd56ff_icgraph" id="classDataLogger_ae3b969e56fe73025d087c5d7cdcd56ff_icgraph">
<area shape="rect" id="node3" href="classDataLogger.html#a0efe9f5bab4ce587d6080c9afa021151" title="DataLogger::WriteCurrent\lState" alt="" coords="259,5,429,51"/></map>
</div>
</p>

</div>
</div>
<a class="anchor" id="a70a9bb50309609e4823b35fee5f5407e"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void DataLogger::SetFilename </td>
          <td>(</td>
          <td class="paramtype">QString&#160;</td>
          <td class="paramname"><em>filename</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">filename</td><td>fghgh </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>true if ... </dd></dl>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="classDataLogger_a70a9bb50309609e4823b35fee5f5407e_icgraph.png" border="0" usemap="#classDataLogger_a70a9bb50309609e4823b35fee5f5407e_icgraph" alt=""/></div>
<map name="classDataLogger_a70a9bb50309609e4823b35fee5f5407e_icgraph" id="classDataLogger_a70a9bb50309609e4823b35fee5f5407e_icgraph">
<area shape="rect" id="node3" href="classExperiment.html#a2666b3fed68eef734107a0251ce405ce" title="Experiment::Initialize" alt="" coords="224,5,368,35"/></map>
</div>
</p>

</div>
</div>
<a class="anchor" id="a20df9870571b30de0a007d58b1dde3cf"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool DataLogger::valid </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="classDataLogger_a20df9870571b30de0a007d58b1dde3cf_icgraph.png" border="0" usemap="#classDataLogger_a20df9870571b30de0a007d58b1dde3cf_icgraph" alt=""/></div>
<map name="classDataLogger_a20df9870571b30de0a007d58b1dde3cf_icgraph" id="classDataLogger_a20df9870571b30de0a007d58b1dde3cf_icgraph">
<area shape="rect" id="node3" href="classDataLogger.html#a0efe9f5bab4ce587d6080c9afa021151" title="DataLogger::WriteCurrent\lState" alt="" coords="179,5,349,51"/></map>
</div>
</p>

</div>
</div>
<a class="anchor" id="a0efe9f5bab4ce587d6080c9afa021151"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool DataLogger::WriteCurrentState </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="classDataLogger_a0efe9f5bab4ce587d6080c9afa021151_cgraph.png" border="0" usemap="#classDataLogger_a0efe9f5bab4ce587d6080c9afa021151_cgraph" alt=""/></div>
<map name="classDataLogger_a0efe9f5bab4ce587d6080c9afa021151_cgraph" id="classDataLogger_a0efe9f5bab4ce587d6080c9afa021151_cgraph">
<area shape="rect" id="node3" href="classDataLogger.html#a20df9870571b30de0a007d58b1dde3cf" title="DataLogger::valid" alt="" coords="272,5,395,35"/><area shape="rect" id="node5" href="classDataLogger.html#ae3b969e56fe73025d087c5d7cdcd56ff" title="DataLogger::PrepareFileHeader" alt="" coords="231,109,436,139"/><area shape="rect" id="node7" href="classStateManager.html#aabffaf5fc58ab7c74fccde1d84d91603" title="StateManager::state" alt="" coords="527,56,665,85"/><area shape="rect" id="node12" href="classMeasurementState.html#ae8c2f2a07574b75755c7eccb8667b6fb" title="returns names and units" alt="" coords="224,185,443,231"/><area shape="rect" id="node9" href="classMeasurementState.html#aa83b85383a05112b240541f13a87a56f" title="MeasurementState::GetHeaders" alt="" coords="491,109,701,139"/><area shape="rect" id="node14" href="MeasurementState_8cpp.html#ab7c8db023b3f16b797a5e0d2f81f6c37" title="valueToString" alt="" coords="545,163,647,192"/><area shape="rect" id="node16" href="classMeasurementState.html#ae5001cd76c226e93af617625b4b32c1d" title="MeasurementState::Volatile" alt="" coords="505,216,687,245"/><area shape="rect" id="node18" href="classMeasurementState.html#ab18c25e7210106d1327f75d95ef31c54" title="MeasurementState::Invalidate" alt="" coords="499,269,693,299"/></map>
</div>
</p>

</div>
</div>
<h2>Member Data Documentation</h2>
<a class="anchor" id="acf5bd5c915047d0ea56139af8e9af491"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classStateManager.html">StateManager</a>&amp; DataLogger::_stateManager</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="aa56db36dc83efea877b5a002ed83bc3f"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">QFile DataLogger::file</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="a992f14b34f7dc8b66254c95a47fa4342"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">QString DataLogger::filename</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="a67ffb050ba1beae8649f63d4b1dbbed0"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool DataLogger::isHeaderPrepared</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="ab4c93bc1ccb1512bacae8b6601238e6f"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">QTextStream DataLogger::stream</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li><a class="el" href="DataLogger_8hpp_source.html">DataLogger.hpp</a></li>
<li><a class="el" href="DataLogger_8cpp.html">DataLogger.cpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Tue Feb 26 2013 17:54:10 for morphorobotx by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.1.2
</small></address>
</body>
</html>
